Download Balance Report
Download Balance Report API used to download balance activities within a date range. The report cannot query current day's data.
When report is ready, a callback notification will be sent to merchant's default callback URL. Or you can use the Query Balance Report API to query the status and retrieve the file path to download the report.
A merchant can generate up to a maximum of 50 balance reports per month.
EndPoint
POST /binancepay/openapi/balance-report
Request Parameters
| Attributes | Type | Required | Limitation | Description |
|---|---|---|---|---|
| reportType | string | Y | Valid value is "Balance" | - |
| walletType | string | N | Valid values are:"SPOT_WALLET", "FUNDING_WALLET" | If merchants don't specify one wallet, then Binance Pay will query all records of spot wallet and funding wallet |
| startDate | string | Y | YYYY-MM-DD | From startDate to endDate can only support querying data within 3 months |
| endDate | string | Y | YYYY-MM-DD. End date should not be same as start day, must be +1 day | From startDate to endDate can only support querying data within 3 months |